Skip to content
master
Go to file
Code

README.md

The Markdown Resume

Instructions

git clone https://github.com/mszep/pandoc_resume
cd pandoc_resume
vim markdown/resume.md   # insert your own resume info

Local

Make everything

make

Make specifics

make pdf
make html

Dockerized

Make everything

docker-compose up -d

Requirements

If not using docker then you will need the following dependencies.

  • ConTeXt 0.6x
  • pandoc 2.x
    • 1.x is deprecated

Last tested on the above versions and that's not to say the later versions won't work. Please try to use the latest versions when possible.

Debian / Ubuntu

sudo apt install pandoc context

Fedora

sudo dnf install pandoc texlive-collection-context

Arch

sudo pacman -S pandoc texlive-core

OSX

brew install pandoc
brew cask install mactex

Make sure to add the directory /Library/TeX/texbin/ to your path or context and mtxrun will not be found.

export PATH=$PATH:/Library/TeX/texbin/

Troubleshooting

Get versions

Check if the dependencies are up to date.

context --version
pandoc --version

Cannot process lua

Currently pandoc 1.x may be within your distro's repos and the latest version should be used. See the pandoc releases for your distro.

e.g. for Debian / Ubuntu

wget https://github.com/jgm/pandoc/releases/download/2.2.1/pandoc-2.2.1-1-amd64.deb
sudo dpkg -i pandoc-2.2.1-1-amd64.deb

Context executable cannot be found

Some users have reported problems where their system does not properly find the ConTeXt executable, leading to errors like Cannot find context.lua or similar. It has been found that running mtxrun --generate, (suggested on texlive-2011-context-problem), can fix the issue.

You can’t perform that action at this time.